text.skipToContent text.skipToNavigation
Home Support Projectors BrightLink Series Epson BrightLink 595Wi

Do I need to install the Easy Interactive Driver for interactivity on my computer?

    Windows and Linux systems support interactivity with the built-in drivers. OS X requires the interactive driver installed for interactivity. See below for the supported operating systems:

    Windows:

    Supports interactive functions with built-in interactive tools.

    • Windows XP SP2 or later (Home Edition/Professional)
    • Windows Vista (all editions except for Starter)
    • Windows 7 (all editions except for Starter)
    • Windows 8 (Windows 8 Enterprise and Pro 32- and 64-bit)

    OS X:

    The interactive driver and interactive tools must be installed for interactivity.

    • 10.5.8
    • 10.6.x
    • 10.7.x
    • 10.8.x
    • 10.9.x

    Linux:

    Supports interactive functions with built-in interactive tools.

    • Ubuntu 10.04*
    • Ubuntu 10.10*
    • Ubuntu 11.04*
    • Ubuntu 11.10*
    *32 bit only.

    Note: For robust interactivity in Linux, you need Linux compatible interactive software (not included with the projector). Also, the Easy Interactive Tools (EIT) provides more interactive functions than the projector's built-in interactive tools.

Published:  Jul 21, 2014 Was this helpful​? Thank you for the feedback!
Please tell us why this was not helpful.​
Please enter a valid email address